Page MenuHomePhabricator

move travel related aliases to OIT
Closed, ResolvedPublic

Description

can we move the following mail aliases over to OIT?

is the list of people still accurate?

323 ## Travel (RT #3552)
324 travel: ddunican, kzwicker
325 
326 ## Travel approvals (RT #4255)
327 travelapprovals: llogan, ddunican, kzwicker

Event Timeline

Dzahn created this task.Feb 19 2016, 8:11 PM
Dzahn removed Dzahn as the assignee of this task.Feb 19 2016, 9:30 PM

I have opened a Zendesk ticket for this

Your request (#10245) has been received, and will be reviewed by our support staff soon.

Hi Daniel,

I have created the groups in LDAP to be Google Groups.

Thanks,
Byron

Hi Byron,

I appreciate the quick response. I have removed these on our side.

Thanks,

Daniel

-## Travel (RT #3552)
-travel: ddunican, kzwicker
-
-## Travel approvals (RT #4255)
-travelapprovals: llogan, ddunican, kzwicker
Dzahn closed this task as Resolved.Feb 25 2016, 11:02 PM
bbogaert reopened this task as Open.Feb 26 2016, 12:28 AM

Hey Daniel,

I received a bounce back. I checked my spelling in LDAP and google groups, and everything looks ok. Could it be something your side?

Delivery to the following recipient failed permanently:

travelapprovals@wikimedia.org

Technical details of permanent failure:
Google tried to deliver your message, but it was rejected by the server for the recipient domain wikimedia.org by mx1001.wikimedia.org. [2620:0:861:3:208:80:154:76].

The error that the other server returned was:
550 Previous (cached) callout verification failure

  • Original message -----

DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;

d=wikimedia.org; s=google;
h=mime-version:from:date:message-id:subject:to:content-type;
bh=XrI9za/rnmMKBPhMSBFaZN2yT4Hm7zz1036nW4VJuIg=;
b=RBAbY6Zk17/mauKHlO/niIRkUit2vpQxh57fZxUJciXv/0h8Zx3dWG+FDKsCGhX0ZR
 SBN3Z0rZ059Hd2LYx/ir/2dny6f2XKwXk23XCsFLzvMv29tfDnbY/IVeug3N8sQOPwNp
 hWz1zX8kLs8pDZ7KQXspNBQC87wVuhDYoesWc=

X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;

d=1e100.net; s=20130820;
h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-type;
bh=XrI9za/rnmMKBPhMSBFaZN2yT4Hm7zz1036nW4VJuIg=;
b=mL/ouQWb6Q/R23PjLMwuSLr5Ir9hO7Uld57YIyFWBDE27/0h7MZEo/xcjtY4PFizC4
 tMkRD6/y3Eurhm3byXpZZozM1zLuPdgoNOdtjf6I3Ck/9IDTJWBy9ZoXAsebiMhT3Wa4
 bB3zmRe9IWRYZwBR/W7c9MF30h/CiJGX3K69pYrtaBeh2zwFWBcCZiuN95UZ5xvaPObM
 AFSI7I4ZitYD6Vk6F42USjCM3FINz1qiaN66vIM6ZBISVOgsZ68VBtY+lFY0vijUCsLT
 Jofr7pEAzL3kzKk2spZJowamcOF78k7zhOKkrmI1Kf0iOL7dRX7Y5dPypsQc+OiQa66u
 Jj6w==

X-Gm-Message-State: AG10YOSeKYiHeE2KiJFNg14KTnFQaUxrlp4621H/AjoT0I5r/WjZWR1JevXidlSO58S2hM2SlZ6LAIqpTfUW4u9dGrU=
X-Received: by 10.60.101.199 with SMTP id fi7mr38755586oeb.20.1456446398304;
Thu, 25 Feb 2016 16:26:38 -0800 (PST)
MIME-Version: 1.0
Received: by 10.60.74.68 with HTTP; Thu, 25 Feb 2016 16:25:58 -0800 (PST)
From: Byron Bogaert <bbogaert@wikimedia.org>
Date: Thu, 25 Feb 2016 16:25:58 -0800
Message-ID: <CAOC07X3NWEus_6Cn1Otd-uQc0cG91JVeFJwka+MAhtrxPLCKzg@mail.gmail.com>
Subject: Test
To: travelapprovals@wikimedia.org
Content-Type: multipart/alternative; boundary=089e0111beb034b9cd052ca15a01

I received a bounce back. I checked my spelling in LDAP and google groups, and everything looks ok. Could it be something your side?

Hi Byron,

i'm afraid not, all i did was remove it on our side like we did with other aliases before.

Let me add it back for now.

@bbogaert i added it back, but i'm not sure why it failed

Hi Daniel,

I'm working on this again and have recreated the google group and ldap entry. Can you remove it so we may test again?

Thanks,
Byron

Dzahn added a comment.Mar 4 2016, 12:37 AM

We tried this out and talked on IRC. I commented them and Byron added them but it wouldn't work, there were still bounces. Reverted, while there seemed no such issue with the fundraising aliases in T128647.

[mx1001:~] $ sudo exim4 -bt travel@wikimedia.org
kzwicker@wikimedia.org
    <-- travel@wikimedia.org
  router = ldap_account, transport = remote_smtp
  host aspmx.l.google.com [74.125.29.27] 
ddunican@wikimedia.org
    <-- travel@wikimedia.org
  router = ldap_account, transport = remote_smtp
  host aspmx.l.google.com [74.125.22.26] 

[mx1001:~] $ sudo exim4 -bt travelapprovals@wikimedia.org
kzwicker@wikimedia.org
    <-- travelapprovals@wikimedia.org
  router = ldap_account, transport = remote_smtp
  host aspmx.l.google.com [74.125.29.27] 
ddunican@wikimedia.org
    <-- travelapprovals@wikimedia.org
  router = ldap_account, transport = remote_smtp
  host aspmx.l.google.com [173.194.204.27] 
llogan@wikimedia.org
    <-- travelapprovals@wikimedia.org
  router = ldap_account, transport = remote_smtp
  host aspmx.l.google.com [74.125.22.26]
Dzahn added a comment.Aug 18 2017, 6:43 PM

@bbogaert maybe we can give it another try now that the Wikimania travel season is mostly over? I don't know why it failed but there must be something that makes these aliases different from all the others we moved without such issues.

@Dzahn Can we try this again? We have made the Google and LDAP groups. I think we just have to wait for the "previous cache callout" to expire, then the mail will flow.

Thanks,
Byron

@bbogaert Yes, happy to try that again. I can remove it right now if you want. I am also on IRC. - Thanks, Daniel

Mentioned in SAL (#wikimedia-operations) [2018-04-24T00:18:44Z] <mutante> removing travel@ and travelapproval@ exim aliases, moving to OIT/Google (T127549)

[mx1001:~] $  sudo exim4 -bt travel@wikimedia.org
travel@wikimedia.org
  router = ldap_group, transport = remote_smtp
  host aspmx.l.google.com [173.194.204.27] 


[mx2001:~] $ sudo exim4 -bt travel@wikimedia.org
travel@wikimedia.org
  router = ldap_group, transport = remote_smtp
  host aspmx.l.google.com [173.194.68.26]
Dzahn closed this task as Resolved.Apr 24 2018, 12:26 AM
Dzahn claimed this task.

20:22 < mutante> byron: have you sent a mail to it? can you see it in the google group?
20:23 < byron> Yes, that worked